MANDB(8)

NOM
mandb - crée ou met à jour les bases de données d'indexation des pages de manuel.

SYNOPSIS
mandb [-dqsucp|-h|-V] [-C fichier] [chemin_de_man]
mandb [-dqsu] [-C fichier] -f nom_de_fichier ...

DESCRIPTION
mandb est employé pour initialiser ou mettre à jour manuellement les bases de données d'indexation qui sont habituellement exploitées par man. Ces bases de données forment un « cache » du système de fichiers qui contient les pages de manuel. Elles contiennent l'état actuel du système de pages de manuel ainsi que les informations qui y sont stockées. Elles sont exploitées par les utilitaires de man-db pour accroître leur vitesse et leurs fonctionnalités. Lors de la création ou de la mise à jour d'une base de données d'indexation, mandb avertira des mauvaises requêtes ROFF .so, des noms de fichier erronés et des pages de manuel depuis lesquelles la partie whatis ne peut pas être analysée. On peut préciser à mandb une liste de structures hiérarchiques de pages de manuel. Les éléments de la liste sont délimités par « : ». Cette liste remplacera celle du système, déterminée à partir des informations trouvées dans le fichier de configuration de man-db.

BASE DE DONNÉES D'INDEXATION
mandb peut être compilé pour supporter un des types suivants de bases de données.
Nom | Type | Async | Nom de Fichier
Berkeley db | Arbre Binaire | Oui | index.bt
GNU gdbm v >= 1.6 | Hachage | Oui | index.db
GNU gdbm v < 1.6 | Hachage | Non | index.db
UNIX ndbm | Hachage | Non | index.(dir|pag)
Les moteurs de bases de données qui gèrent les mises à jour asynchrones accroissent la vitesse au prix d'un risque de corruption en cas d'arrêt anormal. Dans le cas, peu probable, où cela se produirait, il serait nécessaire de réexécuter mandb avec l'option -c pour recréer les bases de données à partir de zéro.

OPTIONS

-d, --debug
    Génère des informations de mise au point.

-q, --quiet
    Ne génère pas d'avertissement.

-s, --no-straycats
    Évite de perdre du temps à rechercher ou à ajouter, aux bases de données, des informations concernant les fichiers « cat » parasites.

-p, --no-purge
    Évite de perdre du temps à vérifier les pages de manuel supprimées et à les purger des bases de données.

-c, --create
    Par défaut, mandb essaiera de mettre à jour les bases de données précédemment créées. Si une base de données n'existe pas, elle sera crée. Cette option force mandb à supprimer les bases de données existantes et à les recréer à partir de zéro. Cette option entraîne l'option --no-purge. Cela peut être nécessaire si une base de données est corrompue ou si un nouveau système de gestion de base de données est implanté à l'avenir.

-u, --user-db
    Crée seulement des bases de données « utilisateur », même si on possède les permissions d'écriture nécessaires pour créer des bases de données « système ».

-t, --test
    Exécute les contrôles de validité des pages de manuel de la liste des structures hiérarchiques du chemin de recherche. Avec cette option, mandb ne modifie pas les bases de données existantes.

-f, --nom_de_fichier
    Met à jour seulement les entrées correspondant au nom du fichier donné. Cette option n'est pas d'un usage courant. Elle est utilisée par man, lorsqu'il a été compilée avec l'option MAN_DB_UPDATES, et qu'il constate qu'une page n'est pas à jour. Cette option induit l'option -p et annule les options -c et -s.

-C fichier, --config-file=fichier
    Utilise le fichier de configuration indiqué au lieu du fichier par défaut ~/.manpath.

-h, --help
    Affiche un mode d'emploi puis s'arrête.

-V, --version
    Affiche la version puis s'arrête.

VALEUR DE RETOUR

0   Programme exécuté sans erreur.

1   Erreur d'utilisation, de syntaxe ou de fichier de configuration

2   Erreur d'exécution.

3   Un processus fils a échoué.

DIAGNOSTICS
Les messages d'avertissement suivants peuvent être générés pendant la construction de la base de données.

<nom_de_fichier>: whatis parse for page(sec) failed
    L'extraction de la/des ligne(s) de whatis à partir du <nom_de_fichier> indiqué a échoué. Ceci est habituellement dû à une page de manuel mal écrite, mais si beaucoup de messages de ce type sont émis, il est probable que le système contienne des pages de manuel non standard, incompatibles avec l'analyseur de whatis de man-db. Consultez la section ANALYSE WHATIS de lexgrog(1) pour plus d'informations.

<nom_de_fichier>: is a dangling symlink
    <nom_de_fichier> n'existe pas mais est pointé par un lien symbolique. Des informations complémentaires sont habituellement émises pour identifier le <nom_de_fichier> du lien « en l'air ».

<nom_de_fichier>: bad symlink or ROFF `.so' request
    <nom_de_fichier> est un lien symbolique, ou contient une requête ROFF, vers un fichier inexistant.

<nom_de_fichier>: ignoring bogus filename
    Le <nom_de_fichier> peut être ou non une page de manuel correcte, mais son nom est invalide. Cela est habituellement dû à une page de manuel appartenant à une section <x> stockée dans la section <y> des pages de manuel.

<nom_de_fichier_générique>: competing extensions
    Le <nom_de_fichier_générique> n'a pas de correspondance unique. Ceci est habituellement provoqué par l'existence d'une version compressée et d'une version non compressée de la même page de manuel. Seul le plus récent des fichiers correspondant au <nom_de_fichier_générique> sera exploité.

FICHIERS

/etc/manpath.config
    Fichier de configuration de man-db.

/usr/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale habituelle.

/var/catman/index.(bt|db|dir|pag)
    Base de données d'indexation globale de remplacement ou conforme à FSSTND.

/var/cache/man/index.(bt|db|dir|pag)
    Base de données d'indexation globale, conforme à FHS.

VOIR AUSSI
man(1), lexgrog(1), manpath(5), catman(8).

La section ANALYSE WHATIS autrefois incluse dans cette page de manuel est maintenant incorporée à lexgrog(1).

AUTEUR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).

TRADUCTION
Valéry Perrin <valery.perrin.debian@free.fr> le 2 janvier 2006. L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande « man -L en nom_de_la_page ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.